diff --git a/contrib/ncurses/man/panel.3x b/contrib/ncurses/man/panel.3x
index 932ef48eef7d..c63b4315699b 100644
--- a/contrib/ncurses/man/panel.3x
+++ b/contrib/ncurses/man/panel.3x
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright 2018-2019,2020 Thomas E. Dickey                                *
+.\" Copyright 2018-2023,2024 Thomas E. Dickey                                *
 .\" Copyright 1998-2016,2017 Free Software Foundation, Inc.                  *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
@@ -27,253 +27,264 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: panel.3x,v 1.39 2020/02/15 21:06:40 tom Exp $
-.TH panel 3X ""
-.ie \n(.g .ds `` \(lq
-.el       .ds `` ``
-.ie \n(.g .ds '' \(rq
-.el       .ds '' ''
+.\" $Id: panel.3x,v 1.63 2024/03/16 15:35:01 tom Exp $
+.TH panel 3X 2024-03-16 "ncurses @NCURSES_MAJOR@.@NCURSES_MINOR@" "Library calls"
+.ie \n(.g \{\
+.ds `` \(lq
+.ds '' \(rq
+.\}
+.el \{\
+.ie t .ds `` ``
+.el   .ds `` ""
+.ie t .ds '' ''
+.el   .ds '' ""
+.\}
+.
 .de bP
 .ie n  .IP \(bu 4
 .el    .IP \(bu 2
 ..
 .SH NAME
-panel \- panel stack extension for curses
+panel \-
+panel stack extension for \fIcurses\fP
 .SH SYNOPSIS
-\fB#include <panel.h>\fR
-.P
-\fBcc [flags] sourcefiles \-lpanel \-lncurses\fR
-.P
-\fBPANEL *new_panel(WINDOW *\fIwin\fB);\fR
-.sp
-\fBint bottom_panel(PANEL *\fIpan\fB);\fR
-.br
-\fBint top_panel(PANEL *\fIpan\fB);\fR
-.br
-\fBint show_panel(PANEL *\fIpan\fB);\fR
-.br
-\fBvoid update_panels(void);\fR
-.br
-\fBint hide_panel(PANEL *\fIpan\fB);\fR
-.sp
-\fBWINDOW *panel_window(const PANEL *\fIpan\fB);\fR
-.br
-\fBint replace_panel(PANEL *\fIpan\fB, WINDOW *\fIwindow\fB);\fR
-.br
-\fBint move_panel(PANEL *\fIpan\fB, int \fIstarty\fB, int \fIstartx\fB);\fR
-.br
-\fBint panel_hidden(const PANEL *\fIpan\fB);\fR
-.sp
-\fBPANEL *panel_above(const PANEL *\fIpan\fB);\fR
-.br
-\fBPANEL *panel_below(const PANEL *\fIpan\fB);\fR
-.sp
-\fBint set_panel_userptr(PANEL *\fIpan\fB, const void *\fIptr\fB);\fR
-.br
-\fBconst void *panel_userptr(const PANEL *\fIpan\fB);\fR
-.sp
-\fBint del_panel(PANEL *\fIpan\fB);\fR
-.sp
-/* ncurses-extensions */
-.br
-\fBPANEL *ground_panel(SCREEN *\fIsp\fB);\fR
-.br
-\fBPANEL *ceiling_panel(SCREEN *\fIsp\fB);\fR
-.br
+.nf
+\fB#include <panel.h>
+.PP
+\fBPANEL *new_panel(WINDOW *\fIwin\fP);
+.PP
+\fBint bottom_panel(PANEL *\fIpan\fP);
+\fBint top_panel(PANEL *\fIpan\fP);
+\fBint show_panel(PANEL *\fIpan\fP);
+\fBvoid update_panels(void);
+\fBint hide_panel(PANEL *\fIpan\fP);
+.PP
+\fBWINDOW *panel_window(const PANEL *\fIpan\fP);
+\fBint replace_panel(PANEL *\fIpan\fP, WINDOW *\fIwindow\fP);
+\fBint move_panel(PANEL *\fIpan\fP, int \fIstarty\fP, int \fIstartx\fP);
+\fBint panel_hidden(const PANEL *\fIpan\fP);
+.PP
+\fBPANEL *panel_above(const PANEL *\fIpan\fP);
+\fBPANEL *panel_below(const PANEL *\fIpan\fP);
+.PP
+\fBint set_panel_userptr(PANEL *\fIpan\fP, const void *\fIptr\fP);
+\fBconst void *panel_userptr(const PANEL *\fIpan\fP);
+.PP
+\fBint del_panel(PANEL *\fIpan\fP);
+.PP
+\fI/* ncurses extensions */\fP
+\fBPANEL *ground_panel(SCREEN *\fIsp\fP);
+\fBPANEL *ceiling_panel(SCREEN *\fIsp\fP);
+.fi
 .SH DESCRIPTION
-Panels are \fBcurses\fR(3X) windows with the added feature of
+Panels are \fBcurses\fP(3X) windows with the added property of
 depth.
-Panel functions allow the use of stacked windows and ensure
-the proper portions of each window and the curses \fBstdscr\fR window are
-hidden or displayed when panels are added, moved, modified or removed.
+Panel functions allow the use of stacked windows and ensure that the
+proper portions of each window and the \fIcurses\fP \fB\%stdscr\fP
+window are hidden or displayed when panels are added,
+moved,
+modified,
+or removed.
 The set of currently visible panels is the stack of panels.
 The
-\fBstdscr\fR window is beneath all panels, and is not considered part
-of the stack.
-.P
-A window is associated with every panel.
-The panel routines enable
-you to create, move, hide, and show panels, as well as position a
-panel at any desired location in the stack.
-.P
-Panel routines are a functional layer added to \fBcurses\fR(3X), make only
-high-level curses calls, and work anywhere terminfo curses does.
+\fB\%stdscr\fP window is beneath all panels,
+and is not considered part of the stack.
+.PP
+A window is associated with each panel.
+The panel routines enable you to create,
+move,
+hide,
+and show panels.
+You can relocate a panel to any desired position in the stack.
+.PP
+Panel routines are a functional layer added to \fIcurses\fP,
+make only high-level \fIcurses\fP calls,
+and work anywhere \fIcurses\fP does.
 .SH FUNCTIONS
 .\" ---------
 .SS bottom_panel
-\fBbottom_panel(\fIpan\fB)\fR
+\fB\%bottom_panel(\fIpan\fB)\fR
 puts panel \fIpan\fP at the bottom of all panels.
 .\" ---------
 .SS ceiling_panel
-\fBceiling_panel(\fIsp\fB)\fR
-acts like \fBpanel_below(NULL)\fP, for the given \fBSCREEN\fP \fIsp\fP.
+\fB\%ceiling_panel(\fIsp\fB)\fR
+acts like \fB\%panel_below(NULL)\fP
+for the given \fISCREEN\fP \fIsp\fP.
 .\" ---------
 .SS del_panel
-\fBdel_panel(\fIpan\fB)\fR
-removes the given panel \fIpan\fP from the  stack and deallocates the
-\fBPANEL\fR structure (but not its associated window).
+\fB\%del_panel(\fIpan\fB)\fR
+removes the given panel \fIpan\fP from the stack and deallocates the
+\fI\%PANEL\fP structure (but not its associated window).
 .\" ---------
 .SS ground_panel
-\fBground_panel(\fIsp\fB)\fR
-acts like \fBpanel_above(NULL)\fP, for the given \fBSCREEN\fP \fIsp\fP.
+\fB\%ground_panel(\fIsp\fB)\fR
+acts like \fB\%panel_above(NULL)\fP
+for the given \fISCREEN\fP \fIsp\fP.
 .\" ---------
 .SS hide_panel
-\fBhide_panel(\fIpan\fB)\fR
+\fB\%hide_panel(\fIpan\fB)\fR
 removes the given panel \fIpan\fP from the panel stack
 and thus hides it from view.
-The \fBPANEL\fR structure is not lost, merely removed from the stack.
+The \fI\%PANEL\fP structure is not lost,
+merely removed from the stack.
 .\" ---------
 .SS move_panel
-\fBmove_panel(\fIpan\fB,\fIstarty\fB,\fIstartx\fB)\fR
-moves the given panel \fIpan\fP's window so that its upper-left corner is at
-\fIstarty\fR, \fIstartx\fR.
+\fB\%move_panel(\fIpan\fB, \fIstarty\fB, \fIstartx\fB)\fR
+moves the given panel \fIpan\fP's window so that its upper-left corner
+is at
+\fIstarty\fP,
+\fIstartx\fP.
 It does not change the position of the panel in the stack.
-Be sure to use this function, not \fBmvwin\fR(3X), to move a panel window.
+Be sure to use this function,
+not \fB\%mvwin\fP(3X),
+to move a panel window.
 .\" ---------
 .SS new_panel
-\fBnew_panel(\fIwin\fB)\fR allocates  a  \fBPANEL\fR structure,
-associates it with \fIwin\fR, places the panel on the top of the stack
-(causes  it to  be  displayed above any other panel) and returns a
-pointer to the new panel.
+\fB\%new_panel(\fIwin\fB)\fR allocates a \fI\%PANEL\fR structure,
+associates it with \fIwin\fP,
+places the panel on the top of the stack
+(causes it to be displayed above any other panel)
+and returns a pointer to the new panel.
 .\" ---------
 .SS panel_above
-\fBpanel_above(\fIpan\fB)\fR
+\fB\%panel_above(\fIpan\fB)\fR
 returns a pointer to the panel above \fIpan\fP.
 If the panel argument is
-\fB(PANEL *)0\fR, it returns a pointer to the bottom panel in the stack.
+\*(``\fB(PANEL *)0\fP\*('',
+it returns a pointer to the bottom panel in the stack.
 .\" ---------
 .SS panel_below
-\fBpanel_below(\fIpan\fB)\fR
+\fB\%panel_below(\fIpan\fB)\fR
 returns a pointer to the panel just below \fIpan\fP.
-If the panel argument
-is \fB(PANEL *)0\fR, it returns a pointer to the top panel in the stack.
+If the panel argument is
+\*(``\fB(PANEL *)0\fP\*('',
+it returns a pointer to the top panel in the stack.
 .\" ---------
 .SS panel_hidden
-\fBpanel_hidden(\fIpan\fB)\fR
-returns \fBTRUE\fP if the panel \fIpan\fP is in the panel stack,
-\fBFALSE\fP if it is not.
-If the panel is a null pointer, return \fBERR\fP.
+\fB\%panel_hidden(\fIpan\fB)\fR
+returns \fBFALSE\fP if the panel \fIpan\fP is in the panel stack,
+and \fBTRUE\fP if it is not.
+If the panel is a null pointer,
+it returns \fBERR\fP.
 .\" ---------
 .SS panel_userptr
-\fBpanel_userptr(\fIpan\fB)\fR
+\fB\%panel_userptr(\fIpan\fB)\fR
 returns the user pointer for a given panel \fIpan\fP.
 .\" ---------
 .SS panel_window
-\fBpanel_window(\fIpan\fB)\fR
+\fB\%panel_window(\fIpan\fB)\fR
 returns a pointer to the window of the given panel \fIpan\fP.
 .\" ---------
 .SS replace_panel
-\fBreplace_panel(\fIpan\fB,\fIwindow\fB)\fR
-replaces the current window of panel \fIpan\fP with \fIwindow\fR
-This is useful, for example if you want to resize a panel.
-In \fBncurses\fR, you can call \fBreplace_panel\fR
-to resize a panel using a window resized with \fBwresize\fR(3X).
+\fB\%replace_panel(\fIpan\fB, \fIwindow\fB)\fR
+replaces the current window of panel \fIpan\fP with \fIwindow\fP
+This is useful if,
+for example,
+you want to resize a panel.
+In \fI\%ncurses\fP,
+you can call \fB\%replace_panel\fP
+to resize a panel using a window resized with \fB\%wresize\fP(3X).
 It does not change the position of the panel in the stack.
 .\" ---------
 .SS set_panel_userptr
-\fBset_panel_userptr(\fIpan\fB,\fIptr\fB)\fR
+\fB\%set_panel_userptr(\fIpan\fB, \fIptr\fB)\fR
 sets the panel's user pointer.
 .\" ---------
 .SS show_panel
-\fBshow_panel(\fIpan\fB)\fR
+\fB\%show_panel(\fIpan\fB)\fR
 makes a hidden panel visible by placing it on top of the panels in the
 panel stack.
-See \fBCOMPATIBILITY\fP below.
+See \*(``PORTABILITY\*('' below.
 .\" ---------
 .SS top_panel
-\fBtop_panel(\fIpan\fB)\fR
-puts the given visible panel \fIpan\fP on top of all panels in the stack.
-See \fBCOMPATIBILITY\fP below.
+\fB\%top_panel(\fIpan\fB)\fR
+puts the given visible panel \fIpan\fP on top of all panels in the
+stack.
+See \*(``PORTABILITY\*('' below.
 .\" ---------
 .SS update_panels
-\fBupdate_panels()\fR
-refreshes the \fIvirtual screen\fP to reflect the relations between the
-panels in the stack, but does not call \fBdoupdate\fP(3X) to refresh the
-\fIphysical screen\fP.
-Use this function and not \fBwrefresh\fP(3X) or \fBwnoutrefresh\fP(3X).
+\fB\%update_panels()\fR
+refreshes the virtual screen to reflect the relations between the panels
+in the stack,
+but does not call \fB\%doupdate\fP(3X) to refresh the physical screen.
+Use this function and not \fB\%wrefresh\fP(3X) or
+\fB\%wnoutrefresh\fP(3X).
 .PP
-\fBupdate_panels\fP may be called more than once before a call to
-\fBdoupdate\fP, but \fBdoupdate\fP is the function responsible for updating
-the \fIphysical screen\fP.
-.SH DIAGNOSTICS
-Each routine that returns a pointer returns \fBNULL\fR if an error
+\fB\%update_panels\fP may be called more than once before a call to
+\fB\%doupdate\fP,
+but \fB\%doupdate\fP is the function responsible for updating
+the physical screen.
+.SH "RETURN VALUE"
+Each routine that returns a pointer returns \fBNULL\fP if an error
 occurs.
-Each routine that returns an int value returns \fBOK\fR if it
-executes successfully and \fBERR\fR if not.
+Each routine that returns an int value returns \fBOK\fP if it
+executes successfully and \fBERR\fP if not.
 .PP
-Except as noted, the \fIpan\fP and \fIwindow\fP parameters must be non-null.
-If those are null, an error is returned.
+Except as noted,
+the \fIpan\fP and \fIwindow\fP parameters must be non-null.
+If either is null,
+an error is returned.
 .PP
-The \fBmove_panel\fP function uses \fBmvwin\fP(3X),
-and will return an error if \fBmvwin\fP returns an error.
-.SH COMPATIBILITY
-Reasonable care has been taken to  ensure  compatibility
-with  the  native  panel facility introduced in System V (inspection of
-the SVr4 manual pages suggests the programming interface is unchanged).
-The \fBPANEL\fR data structures are merely  similar.
-The  programmer
-is cautioned not to directly use \fBPANEL\fR fields.
-.P
-The functions \fBshow_panel\fR and \fBtop_panel\fR are identical
-in this implementation, and work equally well with displayed or hidden
-panels.
-In the native System V implementation, \fBshow_panel\fR is
-intended for making a hidden panel visible (at the top of the stack)
-and \fBtop_panel\fR is intended for making an already-visible panel
-move to the top of the stack.
-You are cautioned to use the correct
-function to ensure compatibility with native panel libraries.
-.SH NOTE
-In your library list, libpanel.a should be before libncurses.a; that is,
-you should say \*(``\-lpanel \-lncurses\*('', not the other way around
-(which would give a link-error with static libraries).
+The \fB\%move_panel\fP function uses \fBmvwin\fP(3X),
+and returns an error if \fB\%mvwin\fP returns an error.
+.SH NOTES
+The header file \fI\%panel.h\fP itself includes the header file
+\fI\%curses.h\fP.
 .SH PORTABILITY
+Reasonable care has been taken to ensure compatibility
+with the native panel facility introduced in System\ V;
+inspection of the SVr4 manual pages suggests the programming interface
+never changed.
+The \fI\%PANEL\fP data structures are merely similar.
+The programmer is cautioned not to directly use \fI\%PANEL\fP fields.
 .PP
-The panel facility was documented in SVr4.2 in
-\fICharacter User Interface Programming (UNIX SVR4.2)\fP.
+The functions \fB\%show_panel\fP and \fB\%top_panel\fP are identical
+in this implementation,
+and work equally well with displayed or hidden panels.
+In the System\ V implementation,
+\fB\%show_panel\fP is intended for making a hidden panel visible
+(at the top of the stack)
+and \fB\%top_panel\fP is intended for making an already-visible panel
+move to the top of the stack.
+You are cautioned to use the correct
+function to ensure compatibility with System\ V panel libraries.
+.SH HISTORY
+A panel facility was documented in SVr4.2's
+\fICharacter User Interface Programming\fP document.
 .PP
 It is not part of X/Open Curses.
 .PP
 A few implementations exist:
 .bP
 Systems based on SVr4 source code,
-e.g., Solaris, provide this library.
+such as Solaris,
+provide this library.
 .bP
-\fBncurses\fP (since version 0.6 in 1993)
-and \fBPDCurses\fP (since version 2.2 in 1995)
+\fI\%ncurses\fP (since version 0.6 in 1993)
+and \fIPDCurses\fP (since version 2.2 in 1995)
 provide a panel library whose common ancestor
-was a public domain implementation by Warren Tucker
+is a public domain implementation by Warren Tucker
 published in \fIu386mon\fP 2.20 (1990).
 .IP
-According to Tucker, the SystemV panel library
-was first released in SVr3.2 (1988),
+According to Tucker,
+the System\ V panel library was first released in SVr3.2 (1988),
 and his implementation helped with a port to SVr3.1 (1987).
 .IP
 Several developers have improved each of these;
 they are no longer the same as Tucker's implementation.
 .bP
 NetBSD 8 (2018)
-has a panel library begun by Valery Ushakov in 2015.
-This is based on the AT&T documentation.
-.SH FILES
-.P
-panel.h
-interface for the panels library
-.P
-libpanel.a
-the panels library itself
-.SH SEE ALSO
-\fBcurses\fR(3X),
-\fBcurs_variables\fR(3X),
-.PP
-This describes \fBncurses\fR
-version @NCURSES_MAJOR@.@NCURSES_MINOR@ (patch @NCURSES_PATCH@).
-.SH AUTHOR
+has a panel library begun by Valery Ushakov in 2015,
+based on the System\ V documentation.
+.SH AUTHORS
+Warren Tucker <wht@n4hgf.mt\-park.ga.us> originally wrote this
+implementation,
+primarily to assist in porting \fI\%u386mon\fP to systems without a
+native panel library.
 .PP
-Originally written by Warren Tucker <wht@n4hgf.mt-park.ga.us>,
-primarily to assist in porting \fIu386mon\fP to systems without a native
-panels library.
+Zeyd ben-Halim repackaged it for \fI\%ncurses\fP.
 .PP
-Repackaged for ncurses by Zeyd ben-Halim.
-.PP
-Juergen Pfeifer and Thomas E. Dickey revised/improved the library.
+Juergen Pfeifer and Thomas E. Dickey revised and improved the library.
+.SH SEE ALSO
+\fB\%curses\fP(3X),
+\fB\%curs_variables\fP(3X)
diff --git a/contrib/ncurses/man/resizeterm.3x b/contrib/ncurses/man/resizeterm.3x
index ae5106e1d0b0..5e23d9fb37bb 100644
--- a/contrib/ncurses/man/resizeterm.3x
+++ b/contrib/ncurses/man/resizeterm.3x
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright 2018-2019,2020 Thomas E. Dickey                                *
+.\" Copyright 2018-2023,2024 Thomas E. Dickey                                *
 .\" Copyright 1998-2015,2017 Free Software Foundation, Inc.                  *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
@@ -29,115 +29,152 @@
 .\"
 .\" Author: Thomas E. Dickey 1996-on
 .\"
-.\" $Id: resizeterm.3x,v 1.28 2020/10/17 23:55:41 tom Exp $
-.TH resizeterm 3X ""
+.\" $Id: resizeterm.3x,v 1.56 2024/03/16 15:35:01 tom Exp $
+.TH resizeterm 3X 2024-03-16 "ncurses @NCURSES_MAJOR@.@NCURSES_MINOR@" "Library calls"
 .de bP
 .ie n  .IP \(bu 4
 .el    .IP \(bu 2
 ..
 .SH NAME
-\fBis_term_resized\fR,
-\fBresize_term\fR,
-\fBresizeterm\fR \- change the curses terminal size
+\fB\%is_term_resized\fP,
+\fB\%resize_term\fP,
+\fB\%resizeterm\fP \-
+manage the terminal dimensions understood by \fIcurses\fR
 .SH SYNOPSIS
-\fB#include <curses.h>\fR
-.sp
-\fBbool is_term_resized(int \fP\fIlines\fP\fB, int \fP\fIcolumns\fP\fB);\fR
-.br
-\fBint resize_term(int \fP\fIlines\fP\fB, int \fP\fIcolumns\fP\fB);\fR
-.br
-\fBint resizeterm(int \fP\fIlines\fP\fB, int \fP\fIcolumns\fP\fB);\fR
+.nf
+\fB#include <curses.h>
+.PP
+\fBbool is_term_resized(int \fIlines\fP, int \fIcolumns\fP);
+\fBint resize_term(int \fIlines\fP, int \fIcolumns\fP);
+\fBint resizeterm(int \fIlines\fP, int \fIcolumns\fP);
+.fi
 .SH DESCRIPTION
+This is an extension to the \fIcurses\fP library.
+It provides callers with a hook into the \fI\%ncurses\fP data to resize
+windows,
+primarily for use by programs running in an X Window terminal (e.g., xterm)
+when the terminal's screen size is changed by the user:
+.bP
+\fIcurses\fP windows cannot extend outside the screen.
+If the terminal is shrunk, \fIcurses\fP windows must be shrunk to fit.
+.bP
+If the terminal is stretched,
+rows and/or columns can be added to existing windows.
+The added cells should match the current attributes of the windows.
 .PP
-This is an extension to the curses library.
-It provides callers with a hook into the \fBncurses\fR data to resize windows,
-primarily for use by programs running in an X Window terminal (e.g., xterm).
-.SS resizeterm
+If the calling program has not set up a handler for \fB\%SIGWINCH\fP
+when it initializes \fI\%ncurses\fP
+(e.g., using \fB\%initscr\fP(3X) or \fB\%newterm\fP(3X)),
+then \fI\%ncurses\fP sets a handler for \fB\%SIGWINCH\fP which notifies
+the library when a window-size event has occurred.
+The library checks for this notification
+.bP
+when reading input data,
+.bP
+when implicitly resuming program mode
+(e.g., between \fB\%endwin\fP(3X) and \fB\%wrefresh\fP(3X)),
+and
+.bP
+when explicitly resuming program mode in \fB\%restartterm\fP(3X).
+.PP
+When the library has found that the terminal's window-size has
+changed, it calls \fB\%resizeterm\fP to update its data structures.
 .PP
-The function \fBresizeterm\fR resizes the standard and current windows
+An application which establishes its own \fB\%SIGWINCH\fP handler
+can call \fB\%resizeterm\fP, but in that case, the library will not
+see \fB\%SIGWINCH\fP, and proper layout will rely upon the application.
+.SH FUNCTIONS
+.SS resizeterm
+The function \fB\%resizeterm\fP resizes the standard and current windows
+(i.e., \fB\%stdscr\fP and \fB\%curscr\fP)
 to the specified dimensions, and adjusts other bookkeeping data used by
-the \fBncurses\fR library that record the window dimensions
-such as the \fBLINES\fP and \fBCOLS\fP variables.
+the \fI\%ncurses\fP library that record the window dimensions
+such as the \fB\%LINES\fP and \fB\%COLS\fP variables.
 .SS resize_term
+Most of the work for \fB\%resizeterm\fP is
+done by the inner function \fB\%resize_term\fP.
+The outer function \fB\%resizeterm\fP adds bookkeeping
+for the \fB\%SIGWINCH\fP handler,
+as well as repainting the soft-key area (see \fB\%slk_touch\fP(3X)).
 .PP
-Most of the work is done by the inner function \fBresize_term\fR.
-The outer function \fBresizeterm\fR adds bookkeeping
-for the \fBSIGWINCH\fP handler,
-as well as repainting the soft-key area (see \fBslk_touch\fP(3X)).
-.PP
-When resizing the windows,
-\fBresize_term\fR blank-fills the areas that are extended.
-The calling application should fill in these areas with appropriate data.
-.PP
-The \fBresize_term\fR function attempts to resize all windows.
-However, due to the calling convention of pads,
-it is not possible to resize these
-without additional interaction with the application.
+The \fB\%resize_term\fP function attempts to resize all windows.
+This helps with simple applications.
+However:
+.bP
+It is not possible to automatically resize pads.
+.bP
+Applications which have complicated layouts should check for
+\fB\%KEY_RESIZE\fP returned from \fB\%wgetch\fP,
+and adjust their layout, e.g., using \fB\%wresize\fP and \fB\%mvwin\fP,
+or by recreating the windows.
 .PP
-When resizing windows, \fBresize_term\fR recursively adjusts subwindows,
+When resizing windows, \fB\%resize_term\fP recursively adjusts subwindows,
 keeping them within the updated parent window's limits.
 If a top-level window happens to extend to the screen's limits,
-then on resizing the window, \fBresize_term\fR will keep the window
+then on resizing the window, \fB\%resize_term\fP will keep the window
 extending to the corresponding limit, regardless of whether the
 screen has shrunk or grown.
 .SS is_term_resized
-.PP
-A support function \fBis_term_resized\fR is provided so that applications
-can check if the \fBresize_term\fR function would modify the window structures.
+A support function \fB\%is_term_resized\fP is provided so that applications
+can check if the \fB\%resize_term\fP function would modify
+the window structures.
 It returns \fBTRUE\fP if the windows would be modified,
 and \fBFALSE\fP otherwise.
 .SH RETURN VALUE
 Except as noted, these functions return
-the integer \fBERR\fR upon failure and \fBOK\fR on success.
+the integer \fBERR\fP upon failure and \fBOK\fP on success.
 They will fail if either of the dimensions are less than or equal to zero,
 or if an error occurs while (re)allocating memory for the windows.
 .SH NOTES
 While these functions are intended to be used to support a signal handler
-(i.e., for \fBSIGWINCH\fP), care should be taken to avoid invoking them in a
-context where \fBmalloc\fR or \fBrealloc\fR may have been interrupted,
+(i.e., for \fB\%SIGWINCH\fP), care should be taken to avoid invoking them in a
+context where \fB\%malloc\fP or \fB\%realloc\fP may have been interrupted,
 since it uses those functions.
 .PP
-If ncurses is configured to supply its own \fBSIGWINCH\fP handler,
+If \fI\%ncurses\fP is configured to supply its own \fB\%SIGWINCH\fP
+handler,
 .bP
-on receipt of a \fBSIGWINCH\fP, the handler sets a flag
+on receipt of a \fB\%SIGWINCH\fP, the handler sets a flag
 .bP
-which is tested in \fBwgetch\fP(3X) and \fBdoupdate\fP,
+which is tested in
+\fB\%wgetch\fP(3X),
+\fB\%doupdate\fP(3X) and
+\fB\%restartterm\fP(3X),
 .bP
-in turn, calling the \fBresizeterm\fR function,
+in turn, calling the \fB\%resizeterm\fP function,
 .bP
-which \fBungetch\fP's a \fBKEY_RESIZE\fR which
-will be read on the next call to \fBwgetch\fR.
+which \fB\%ungetch\fP's a \fB\%KEY_RESIZE\fP which
+will be read on the next call to \fB\%wgetch\fP.
 .IP
-The \fBKEY_RESIZE\fP alerts an application that the screen size has changed,
+The \fB\%KEY_RESIZE\fP alerts an application that the screen size has changed,
 and that it should repaint special features such as pads that cannot
 be done automatically.
 .IP
-Calling \fBresizeterm\fP or \fBresize_term\fP
+Calling \fB\%resizeterm\fP or \fB\%resize_term\fP
 directly from a signal handler is unsafe.
-This indirect method is used to provide a safe way to resize the ncurses
-data structures.
+This indirect method is used to provide a safe way to resize the
+\fI\%ncurses\fP data structures.
 .PP
-If the environment variables \fBLINES\fP or \fBCOLUMNS\fP are set,
+If the environment variables \fILINES\fP or \fI\%COLUMNS\fP are set,
 this overrides the library's use of the window size obtained from
 the operating system.
-Thus, even if a \fBSIGWINCH\fP is received,
+Thus, even if a \fB\%SIGWINCH\fP is received,
 no screen size change may be recorded.
 .SH PORTABILITY
-.PP
-It is possible to resize the screen with SVr4 curses,
+It is possible to resize the screen with SVr4 \fIcurses\fP,
 by
 .bP
-exiting curses with \fBendwin\fP(3X) and
+exiting \fIcurses\fP with \fB\%endwin\fP(3X) and
 .bP
-resuming using \fBrefresh\fP(3X).
+resuming using \fB\%refresh\fP(3X).
 .PP
 Doing that clears the screen and is visually distracting.
 .PP
-This extension of ncurses was introduced in mid-1995.
-It was adopted in NetBSD curses (2001) and PDCurses (2003).
+This extension of \fI\%ncurses\fP was introduced in mid-1995.
+It was adopted in NetBSD \fIcurses\fP (2001) and PDCurses (2003).
+.SH AUTHORS
+Thomas Dickey (from an equivalent function written in 1988 for BSD \fIcurses\fP)
 .SH SEE ALSO
-\fBcurs_getch\fR(3X),
-\fBcurs_variables\fR(3X),
-\fBwresize\fR(3X).
-.SH AUTHOR
-Thomas Dickey (from an equivalent function written in 1988 for BSD curses).
+\fB\%curs_getch\fP(3X),
+\fB\%curs_variables\fP(3X),
+\fB\%wresize\fP(3X)
